import { jsx } from "react/jsx-runtime";
import { TokenAUCTION as TokenAUCTION$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAUCTION = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "AUCTION", "data-name": "TokenAUCTION", ...props, children: /* @__PURE__ */ jsx(TokenAUCTION$1, { variant }) });
  }
);
TokenAUCTION.displayName = "TokenAUCTION";
Object.assign(TokenAUCTION, { isGdsIcon: true });
export {
  TokenAUCTION
};
